Subject: Re: bug#12849: 24.2.50; Doc: `message': mention `message-log-max'

From: Leo <[email-masked]>
Date: Sat, 10 Nov 2012 12:51:32 +0800

On 2012-11-10 08:14 +0800, Michael Heerdegen wrote:
> I made the experience that many people don't know that logging messages
> (printed with `message') in the *Messages* buffer can be prevented with
> binding `message-log-max' to nil.

How about adding:

(defsubst message-nolog (format-string &rest args)
  "Same as `message' except not writing to *Messages* buffer."
  (let (message-log-max) (apply 'message format-string args)))

This could encourage elisp authors to choose what to log to *Messages*
buffer. For example, ff-quiet-mode defaults to nil and, boy, this
library can write thousands of useless lines to *Messages* buffer.

Leo